/************************************************************************/
/* Copyright (C) 2008-2009 Markus Strobl <markus.strobl@gmx.at>         */
/*                                                                      */
/* cpupowerd is free software; you can redistribute it and/or modify it */
/* under the terms of the GNU General Public License as published by    */
/* the Free Software Foundation; either version 2 of the License.       */
/*                                                                      */
/* cpupowerd is distributed in the hope that it will be useful, but     */
/* WITHOUT ANY WARRANTY; without even the implied warranty of           */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        */
/* GNU General Public License for more details.                         */
/*                                                                      */
/* You should have received a copy of the GNU General Public License    */
/* along with GNU Emacs; see the file COPYING.  If not, write to        */
/* the Free Software Foundation, Inc., 59 Temple Place - Suite 330,     */
/* Boston, MA 02111-1307, USA.                                          */
/************************************************************************/
/* $Id: cpu.h 369 2009-01-01 13:05:07Z markus $                         */
/************************************************************************/


#ifndef CPU_H
#define CPU_H

/* Prototypes */
int cpu_init(int *cpuids);
int cpu_tini(void);
int cpu_get_load(int mastercpuid, float *load);
int cpu_get_laptop_mode(int *laptop_mode);
int cpu_get_mastercpuids(int **mastercpuids, int *quantity);
int cpu_get_affectedcpuids(int mastercpuid, int **affectedcpuids, int *quantity);
int cpu_get_frequencies(int mastercpuid, int **frequencies, int *quantity);
int cpu_get_frequency(int mastercpuid, int *frequency);
int cpu_set_frequency(int mastercpuid, int frequency);
int cpu_get_governor(int mastercpuid, char *governor, int size);
int cpu_set_governor(int mastercpuid, char *governor);

#endif
