/************************************************************************/
/* Copyright (C) 2008-2009 Markus Strobl <markus.strobl@gmx.at>         */
/*                                                                      */
/* cpupowerd is free software; you can redistribute it and/or modify it */
/* under the terms of the GNU General Public License as published by    */
/* the Free Software Foundation; either version 2 of the License.       */
/*                                                                      */
/* cpupowerd is distributed in the hope that it will be useful, but     */
/* WITHOUT ANY WARRANTY; without even the implied warranty of           */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        */
/* GNU General Public License for more details.                         */
/*                                                                      */
/* You should have received a copy of the GNU General Public License    */
/* along with GNU Emacs; see the file COPYING.  If not, write to        */
/* the Free Software Foundation, Inc., 59 Temple Place - Suite 330,     */
/* Boston, MA 02111-1307, USA.                                          */
/************************************************************************/
/* $Id: msr.h 369 2009-01-01 13:05:07Z markus $                         */
/************************************************************************/


#ifndef MSR_H
#define MSR_H

/* Prototypes */
int msr_init(int vendor, int cpu_family, int cpu_model);
int msr_tini(void);
int msr_check_access(int cpuid);
int msr_fid_to_frequency(int fid, int *frequency);
int msr_frequency_to_fid(int frequency, int *fid);
int msr_vid_to_voltage(int vid, float *voltage);
int msr_voltage_to_vid(float voltage, int *vid);
int msr_get_status(int cpuid, int *vid, int *fid);
int msr_set_status(int cpuid, int vid, int fid);

#endif
